org.apache.lucene.benchmark.quality.trec

## Class Trec1MQReader

- java.lang.Object
- - org.apache.lucene.benchmark.quality.trec.Trec1MQReader

-     public class Trec1MQReader
      extends java.lang.Object

  Read topics of TREC 1MQ track.

  Expects this topic format -

         qnum:qtext

  Comment lines starting with '#' are ignored.

  All topics will have a single name value pair.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trec1MQReader(java.lang.String name)` Constructor for Trec's 1MQ TopicsReader

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QualityQuery[]` | `readQueries(java.io.BufferedReader reader)` Read quality queries from trec 1MQ format topics file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Trec1MQReader

          public Trec1MQReader(java.lang.String name)

      Constructor for Trec's 1MQ TopicsReader
      Parameters:
        `name` - name of name-value pair to set for all queries.

  - ### Method Detail

    - #### readQueries

          public QualityQuery[] readQueries(java.io.BufferedReader reader)
                                     throws java.io.IOException

      Read quality queries from trec 1MQ format topics file.
      Parameters:
        `reader` - where queries are read from.
      Returns:
        the result quality queries.
      Throws:
        `java.io.IOException` - if cannot read the queries.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.